[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Hdiv_monitor` Component

A divergence sensitive monitor.

## Identification

- Author: KL,
- Origin: Risoe
- Date: Nov. 11, 1998
- Version: 1.11
- Modification history:
  - Thomas Hansen, December, 1999

## Description

    A divergence sensitive monitor. The counts are distributed in
    n pixels.

    Example: Hdiv_monitor(xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1,
              nh=20, filename="Output.hd", h_maxdiv=2)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nh | 1 | Number of pixel rows | 20
filename | text | Name of file in which to store the detector image |
xmin | m | Lower x bound of detector opening | 0
xmax | m | Upper x bound of detector opening | 0
ymin | m | Lower y bound of detector opening | 0
ymax | m | Upper y bound of detector opening | 0
xwidth | m | Width/diameter of detector (x). Overrides xmin,xmax. | 0
yheight | m | Height of detector (y). Overrides ymin,ymax. | 0
h_maxdiv | degrees | Maximal vertical divergence detected | 2

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
Div_N | - | Array of neutron counts |
Div_p | - | Array of neutron weight counts |
Div_p2 | - | Array of second moments |

## Links

- Source code for `Hdiv_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]